﻿using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using PersonService.EFModels;

namespace PersonService.Controllers
{
    [Route("api/[controller]")]
    public class PersonController : Controller
    {
        [Route("{searchText}")]
        [HttpGet]
        public List<Person> SearchPeople(string searchText)
        {
            using (var context = new AzureDockerServicesContext())
            {
                var people = context.Person
                    .Where(p => p.FirstName.StartsWith(searchText)
                        || p.LastName.StartsWith(searchText)
                        || p.Email.StartsWith(searchText)
                        || p.Phone.StartsWith(searchText))
                    .ToList();
                return people;
            }
        }
    }
}
